#ifndef __CALCULATION_H_INCLUDED__
#define __CALCULATION_H_INCLUDED__

typedef struct{
	int size;
	double *v;
}Vector;

typedef struct{
	int height;
	int width;
	double *a;
}Matrix;

Vector *CreateVector(int size);
void FreeVector(Vector* vector);

Matrix *CreateMatrix(int width, int height);
void FreeMatrix(Matrix* matrix);

//$B%,%&%9$N>C5nK!$K$h$kA0?J>C5n!#@.8y$G(B0$B<:GT$G(B1
int GaussianElimination(Matrix *matrix);
//$B8eB`BeF~!#<:GT$9$l$P(BNULL$B$r!"@.8y$9$l$P2r$NF~$C$?%Y%/%H%k$N%]%$%s%?$rJV$9(B
Vector *BackwardSubstitution(Matrix *matrix);
#endif /* __CALCULATION_H_INCLUDED__ */
